VisualEditor: Link inspector surface doesn't pop up when the user language is right-to-left
Closed, ResolvedPublic

Description

Editing a page in a Hebrew wiki (possibly also in other RTL languages), adding a link does not show the popup. The word automatically becomes a wiki-link, no option to change the destination or make it an external link.

The link seems to work well in English wikis.

Tested on both my local install with the latest VE (VE-wmf6+) and on the hebrew wikipedia (VE-wmf5) and on both Firefox and Chrome.


Version: unspecified
Severity: critical

bzimport set Reference to bz49416.
Mooeypoo created this task.Via LegacyJun 10 2013, 10:43 PM
Mooeypoo added a comment.Via ConduitJun 12 2013, 5:26 PM

This also happens in the English wikipedia when the user interface is set to any rtl language.

I tested with ?uselang=he ?uselang=ar and ?uselang=fa

Amire80 added a comment.Via ConduitJun 15 2013, 4:57 PM

And the opposite is also true: The inspector is visible in the Hebrew Wikipedia if the interface language is English.

gerritbot added a comment.Via ConduitJun 18 2013, 5:54 AM

Related URL: https://gerrit.wikimedia.org/r/69281 (Gerrit Change I312610ca630a8f75f1a0778e97f227f35a003b41)

Mooeypoo added a comment.Via ConduitJun 18 2013, 6:02 AM

I've been working on a fix for this but I may need some help with an issue.

The position definition had to be changed in RTL, as it is hard-coded (calculated by the location of the word/selection.) That was completed successfully and the link surface appears correctly below the marked word in both LTR and RTL.

However, I am running into problems setting up the proper "right" dynamically-calculated value for the sub-popup TextInputMenuWidget, and my attempts to play around with left/right and windowWidths has failed. It appears "almost right" (a little to the left, a little to the right, skewed, etc) and I think I may be missing a property.

I wonder if there is a possibility to get the "right" value of the link surface (that appears correctly) to implement it in the TextInputMenuWidget without having to call the element specifically.

The fix below is still work in progress (Don't Merge!) but it should be completely fixed if I manage to figure out the position of the TextInputMenuWidget.

Jdforrester-WMF added a comment.Via ConduitJun 23 2013, 3:36 PM

Give Moriel the credit given that she's done all the work on this bug so far - we'll try to get the patch properly reviewed so we can (hopefully?) merge and deploy it very soon.

Mooeypoo added a comment.Via ConduitJul 5 2013, 5:16 AM

This works for me and seems to work in the hebrew wikipedia. Can be marked as resolved.

gerritbot added a comment.Via ConduitJul 10 2013, 7:35 PM

Change 69281 abandoned by Mooeypoo:
[WIP] Link surface fix for RTL

Reason:
Fixed in master.

https://gerrit.wikimedia.org/r/69281

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.